Monitors
Viewing API version 2026-05-01. View the latest version.
Event taxonomy
Returns the full event-code → category mapping plus the list of categories. Use this to route customer-side instead of hardcoding.
Header Parameters
Kausate-Version?string
Default
"2026-05-01"Format
dateResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.kausate.com/v2/events/taxonomy" \ -H "Kausate-Version: 2026-05-01"{
"categories": [
"status"
],
"eventCodes": [
{
"eventCode": "NAME_CHANGED",
"category": "status"
}
]
}{
"detail": "Not authenticated",
"code": "auth.unauthorized",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Invalid API key",
"code": "auth.forbidden",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": [
{
"loc": [
"body",
"jurisdictionCode"
],
"msg": "Field required",
"type": "missing"
}
],
"code": "request.invalid",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "An internal error occurred",
"code": "internal.unexpected",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}Last updated on